Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Interface JobRunShellFactory

All Known Implementing Classes:
  JTAJobRunShellFactory, StdJobRunShellFactory

public interface JobRunShellFactory

Responsible for creating the instances of ``JobRunShell`` to be used within the `QuartzScheduler` instance.

Although this interface looks a lot like an 'object pool', implementations do not have to support the re-use of instances. If an implementation does not wish to pool instances, then the `borrowJobRunShell()` method would simply create a new instance, and the `returnJobRunShell` method would do nothing.

Author:
  James House

Method Summary
`JobRunShell` | `borrowJobRunShell()` Called by the ``QuartzSchedulerThread`` to obtain instances of ``JobRunShell``.
`void` | `initialize(Scheduler scheduler, SchedulingContext schedCtxt)` Initialize the factory, providing a handle to the `Scheduler` that should be made available within the `JobRunShell` and the `JobExecutionCOntext` s within it, and a handle to the `SchedulingContext` that the shell will use in its own operations with the `JobStore`.
`void` | `returnJobRunShell(JobRunShell jobRunShell)` Called by the ``QuartzSchedulerThread`` to return instances of ``JobRunShell``.

Method Detail

### initialize

    public void initialize(Scheduler scheduler,
                           SchedulingContext schedCtxt)
                    throws SchedulerConfigException

  Initialize the factory, providing a handle to the `Scheduler` that should be made available within the `JobRunShell` and the `JobExecutionCOntext` s within it, and a handle to the `SchedulingContext` that the shell will use in its own operations with the `JobStore`.

  Throws:
    `SchedulerConfigException`

### borrowJobRunShell

    public JobRunShell borrowJobRunShell()
                                  throws SchedulerException

  Called by the ``QuartzSchedulerThread`` to obtain instances of ``JobRunShell``.

  Throws:
    `SchedulerException`

### returnJobRunShell

    public void returnJobRunShell(JobRunShell jobRunShell)

  Called by the ``QuartzSchedulerThread`` to return instances of ``JobRunShell``.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD